{
  "name": "dd-device",
  "version": "0.1.0",
  "description": "DD-Device, a registry of organizations in the FLO blockchain using OIP.",
  "private": true,
  "main": "dist/index.js",
  "dependencies": {
    "@material-ui/core": "^4.10.0",
    "@material-ui/icons": "^4.9.1",
    "@material-ui/lab": "^4.0.0-alpha.54",
    "@oipwg/hdmw": "^2.0.0",
    "axios": "^0.19.2",
    "classnames": "2.2.6",
    "eslint-config-prettier": "4.0.0",
    "eslint-plugin-prettier": "3.0.1",
    "history": "4.7.2",
    "lodash": "^4.17.19",
    "loglevel-colored-prefix": "0.1.0-3",
    "moment": "2.24.0",
    "node-sass": "^4.14.1",
    "nouislider": "13.1.0",
    "oip-protobufjs": "^1.6.15",
    "prop-types": "15.7.1",
    "qrcode.react": "^1.0.1",
    "react": "16.8.1",
    "react-datetime": "2.16.3",
    "react-dom": "16.8.1",
    "react-router-dom": "4.3.1",
    "react-scripts": "2.1.5",
    "react-slick": "0.23.2",
    "react-swipeable-views": "0.13.1"
  },
  "devDependencies": {
    "@babel/cli": "7.2.3",
    "@babel/plugin-proposal-class-properties": "7.3.0",
    "@babel/preset-env": "7.3.1",
    "@babel/preset-react": "7.0.0"
  },
  "optionalDependencies": {
    "eslint-config-prettier": "4.0.0",
    "eslint-plugin-prettier": "3.0.1"
  },
  "scripts": {
    "start": "PORT=35405 react-scripts start",
    "build": "npm run build-package-css && react-scripts build && cp build/index.html build/404.html",
    "test": "react-scripts test --env=jsdom",
    "eject": "react-scripts eject",
    "lint:check": "eslint . --ext=js,jsx;  exit 0",
    "lint:fix": "eslint . --ext=js,jsx --fix;  exit 0",
    "install:clean": "rm -rf node_modules/ && rm -rf package-lock.json && npm install && npm start",
    "build-package-css": "node-sass src/assets/scss/material-kit-react.scss dist/material-kit-react.css",
    "build-package": "npm run build-package-css && babel src --out-dir dist",
    "compile-sass": "node-sass src/assets/scss/material-kit-react.scss src/assets/css/material-kit-react.css",
    "minify-sass": "node-sass src/assets/scss/material-kit-react.scss src/assets/css/material-kit-react.min.css --output-style compressed",
    "map-sass": "node-sass src/assets/scss/material-kit-react.scss src/assets/css/material-kit-react.css --source-map true"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com:jensenlab/ddem/people.git"
  },
  "browserslist": [
    ">0.2%",
    "not dead",
    "not ie <= 11",
    "not op_mini all"
  ],
  "homepage": "https://device.ddx.rocks"
}
